Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Class OriginalGroupInformationSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_002_02.OriginalGroupInformationSEPA

    public class OriginalGroupInformationSEPA
    extends java.lang.Object

Java class for OriginalGroupInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalGroupInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="OrgnlMsgId" type="{urn:swift:xsd:$pain.002.002.02}RestrictedIdentification1"/>
               <element name="NtwkFileNm" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
             </choice>
             <element name="OrgnlMsgNmId" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
             <element name="GrpSts" type="{urn:swift:xsd:$pain.002.002.02}TransactionGroupStatus1CodeSEPA" minOccurs="0"/>
             <element name="StsRsnInf" type="{urn:swift:xsd:$pain.002.002.02}StatusReasonInformationSEPA" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected TransactionGroupStatus1CodeSEPA` `grpSts`
`protected java.lang.String` `ntwkFileNm`
`protected java.lang.String` `orgnlMsgId`
`protected java.lang.String` `orgnlMsgNmId`
`protected java.util.List<StatusReasonInformationSEPA>` `stsRsnInf`

### Constructor Summary

Constructors
`OriginalGroupInformationSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TransactionGroupStatus1CodeSEPA` `getGrpSts()` Gets the value of the grpSts property.
`java.lang.String` `getNtwkFileNm()` Gets the value of the ntwkFileNm property.
`java.lang.String` `getOrgnlMsgId()` Gets the value of the orgnlMsgId property.
`java.lang.String` `getOrgnlMsgNmId()` Gets the value of the orgnlMsgNmId property.
`java.util.List<StatusReasonInformationSEPA>` `getStsRsnInf()` Gets the value of the stsRsnInf property.
`void` `setGrpSts​(TransactionGroupStatus1CodeSEPA value)` Sets the value of the grpSts property.
`void` `setNtwkFileNm​(java.lang.String value)` Sets the value of the ntwkFileNm property.
`void` `setOrgnlMsgId​(java.lang.String value)` Sets the value of the orgnlMsgId property.
`void` `setOrgnlMsgNmId​(java.lang.String value)` Sets the value of the orgnlMsgNmId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgnlMsgId

    protected java.lang.String orgnlMsgId

#### ntwkFileNm

    protected java.lang.String ntwkFileNm

#### orgnlMsgNmId

    protected java.lang.String orgnlMsgNmId

#### grpSts

    protected TransactionGroupStatus1CodeSEPA grpSts

#### stsRsnInf

    protected java.util.List<StatusReasonInformationSEPA> stsRsnInf

### Constructor Detail

#### OriginalGroupInformationSEPA

    public OriginalGroupInformationSEPA()

### Method Detail

#### getOrgnlMsgId

    public java.lang.String getOrgnlMsgId()

Gets the value of the orgnlMsgId property.

Returns:
  possible object is `String`

#### setOrgnlMsgId

    public void setOrgnlMsgId​(java.lang.String value)

Sets the value of the orgnlMsgId property.

Parameters:
  `value` - allowed object is `String`

#### getNtwkFileNm

    public java.lang.String getNtwkFileNm()

Gets the value of the ntwkFileNm property.

Returns:
  possible object is `String`

#### setNtwkFileNm

    public void setNtwkFileNm​(java.lang.String value)

Sets the value of the ntwkFileNm property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlMsgNmId

    public java.lang.String getOrgnlMsgNmId()

Gets the value of the orgnlMsgNmId property.

Returns:
  possible object is `String`

#### setOrgnlMsgNmId

    public void setOrgnlMsgNmId​(java.lang.String value)

Sets the value of the orgnlMsgNmId property.

Parameters:
  `value` - allowed object is `String`

#### getGrpSts

    public TransactionGroupStatus1CodeSEPA getGrpSts()

Gets the value of the grpSts property.

Returns:
  possible object is `TransactionGroupStatus1CodeSEPA`

#### setGrpSts

    public void setGrpSts​(TransactionGroupStatus1CodeSEPA value)

Sets the value of the grpSts property.

Parameters:
  `value` - allowed object is `TransactionGroupStatus1CodeSEPA`

#### getStsRsnInf

    public java.util.List<StatusReasonInformationSEPA> getStsRsnInf()

Gets the value of the stsRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stsRsnInf property.

For example, to add a new item, do as follows:

        getStsRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `StatusReasonInformationSEPA`